# eric6.Preferences.ConfigurationPages.HexEditorPage

Module implementing the Hex Editor configuration page.

### Global Attributes

None

### Classes

HexEditorPage | Class implementing the Hex Editor configuration page.

### Functions

create | Module function to create the configuration page.

## HexEditorPage

Class implementing the Hex Editor configuration page.

### Derived from

ConfigurationPageBase, Ui_HexEditorPage

### Class Attributes

None

### Class Methods

None

### Methods

HexEditorPage | Constructor
on_monospacedFontButton_clicked | Private method used to select the font to be used.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the IRC configuration.

### Static Methods

None

#### HexEditorPage (Constructor)

HexEditorPage()

Constructor

#### HexEditorPage.on_monospacedFontButton_clicked

on_monospacedFontButton_clicked()

Private method used to select the font to be used.

#### HexEditorPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### HexEditorPage.save

save()

Public slot to save the IRC configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up